Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.deploy
Class App

    java.lang.Object
      org.eclipse.jetty.deploy.App

    public class App

extends java.lang.Object

The information about an App that is managed by the `DeploymentManager`

Constructor Summary
`App(DeploymentManager manager, AppProvider provider, java.lang.String originId)` Create an App with specified Origin ID and archivePath
`App(DeploymentManager manager, AppProvider provider, java.lang.String originId, ContextHandler context)` Create an App with specified Origin ID and archivePath

Method Summary
`AppProvider` | `getAppProvider()`
`ContextHandler` | `getContextHandler()` Get ContextHandler for the App.
`java.lang.String` | `getContextId()` Deprecated. Use getContextPath instead.
`java.lang.String` | `getContextPath()` The context path `App` relating to how it is installed on the jetty server side.
`DeploymentManager` | `getDeploymentManager()`
`java.lang.String` | `getOriginId()` The origin of this `App` as specified by the `AppProvider`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### App

    public App(DeploymentManager manager,
               AppProvider provider,
               java.lang.String originId)

  Create an App with specified Origin ID and archivePath

  Parameters:
    `originId` - the origin ID (The ID that the `AppProvider` knows about)
  See Also:
    `getOriginId()`, `getContextPath()`

### App

    public App(DeploymentManager manager,
               AppProvider provider,
               java.lang.String originId,
               ContextHandler context)

  Create an App with specified Origin ID and archivePath

  Parameters:
    `originId` - the origin ID (The ID that the `AppProvider` knows about)
    `context` - Some implementations of AppProvider might have to use an already created ContextHandler.
  See Also:
    `getOriginId()`, `getContextPath()`

Method Detail

### getDeploymentManager

    public DeploymentManager getDeploymentManager()

  Returns:
    The deployment manager

### getAppProvider

    public AppProvider getAppProvider()

  Returns:
    The AppProvider

### getContextHandler

    public ContextHandler getContextHandler()
                                     throws java.lang.Exception

  Get ContextHandler for the App. Create it if needed.

  Returns:
    the `ContextHandler` to use for the App when fully started. (Portions of which might be ignored when App is not yet `AppLifeCycle.DEPLOYED` or `AppLifeCycle.STARTED`)
  Throws:
    `java.lang.Exception`

### getContextId

    public java.lang.String getContextId()

  Deprecated. Use getContextPath instead.

  The context path `App` relating to how it is installed on the jetty server side. NOTE that although the method name indicates that this is a unique identifier, it is not, as many contexts may have the same contextPath, yet different virtual hosts.

  Returns:
    the context path for the App

### getContextPath

    public java.lang.String getContextPath()

  The context path `App` relating to how it is installed on the jetty server side.

  Returns:
    the contextPath for the App

### getOriginId

    public java.lang.String getOriginId()

  The origin of this `App` as specified by the `AppProvider`

  Returns:
    String representing the origin of this app.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.